fr:backports

Installer des paquets récents avec les backports

Il est possible d'installer des versions de logiciels plus récents sur handylinux grâce aux rétroportages (backports) de debian.

Activer les backports

Ouvrez le gestionnaire de paquets synaptic, puis dirigez-vous dans le menu “Configuration” → “Dépôts”. Cochez la ligne avec http://ftp.debian.org/debian/ jessie-backports.

Validez, puis rechargez ensuite la liste des paquets.

Installer un paquet en version backport : méthode difficile mais conseillée

Nous allons installer un paquet en ligne de commande. Ici, on sera certain que les dépendances nécessaires à l'installation du paquet en version plus récente seront bien gérées, sans risquer de casser le système.

On suppose que les backports on été activés comme il est décrit dans le paragraphe précédent.

Rendez-vous donc dans le handymenu > Aventuriers > Terminal .

Tapez ensuite la commande suivante :

sudo apt-get -t jessie-backports install nom_du_paquet

La partie -t jessie-backports demande à apt de préférer les paquets disponibles dans les backports.

Installer un paquet en version backport : méthode facile mais déconseillée

Cette méthode fonctionne bien dans la plupart de cas. Cependant, synaptic ne gère pas toujours bien les dépendances :-\. Donc en cas de doute ou d'avertissement étrange, préférez la méthode précédente.

Dans synaptic, vous pouvez choisir d'installer un paquet en version plus récente. Pour cela, sélectionnez le paquet en cliquant dessus :

Ensuite, allez dans le menu “Paquet”, puis “Forcer la version”.

Choisissez alors la version des backports :


Validez puis appliquez les changements grâce au bouton “Appliquer” du menu Synaptic. Dans le cas ci-dessus, c'est un noyau plus récent (pouvant supporter plus de matériel) que l'on aura installé.

fr/backports.txt · Dernière modification: 2016/06/10 10:21 par arpinux